View API

Prev Next

Available in Classic and VPC

View API information.
This API checks the sub account resource list for VIEW_GET_API (subaccount) on query (SubAccountResourceListCheck).

Request

The following describes the request format for the endpoint. The request format is as follows:

Method URI
GET /api/v1/products/{product-id}/apis

Request headers

For information about the headers common to all API Gateway APIs, see API Gateway request headers.

Request path parameters

You can use the following path parameters with your request:

Field Type Required Description
product-id String Required Product ID associated with the API

Request query parameters

You can use the following query parameters with your request:

Field Type Required Description
offset Long Optional Starting point in the list of data to view
  • 0 - 9,223,372,036,854,775,807
limit Long Optional Number of data to view at once
  • 1 - 9,223,372,036,854,775,807
withStage Boolean Optional Whether to view stage information
  • true | false
    • true: View stage information
    • false: Do not view stage information
apiName String Optional Filter by API name
  • 0 - 20
hasStage Boolean Optional Filter by stage presence or absence
  • true | false
    • true: stage present
    • false: stage not present
hasStageNotAssociatedWithUsagePlanId String Optional View excluding stages associated with a specific usage plan
  • Entering a specific usage plan ID returns APIs that are not related to that usage plan ID

Request example

The following is a sample request.

curl -X GET 'https://apigateway.apigw.ntruss.com/api/v1/products/{product-id}/apis' \
--header 'Content-Type: application/json' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'

Response

The following describes the response format.

Response syntax

The response syntax is as follows.

{
    "apis": [
        {
            "stages": [
                {
                    "apiId": "apiId",
                    "stageId": "stageId",
                    "stageName": "stageName",
                    "isPublished": true
                }
            ],
            "productId": "productId",
            "apiId": "apiId",
            "apiName": "apiName",
            "apiDescription": "apiDescription",
            "tenantId": "tenantId",
            "modifier": "modifier",
            "modTime": "2024-05-02T08:10:26Z",
            "isDeleted": false,
            "domainCode": "domainCode"
        }
    ],
    "total": 0
}

Response status codes

For information about the HTTP status codes common to all API Gateway APIs, see API Gateway response status codes.

Response example

The following is a sample response.

{
    "apis": [
        {
            "stages": [
                {
                    "apiId": "*****luwtk",
                    "stageId": "*****7mhdv",
                    "stageName": "v1",
                    "isPublished": true
                }
            ],
            "productId": "*****xn0bk",
            "apiId": "*****luwtk",
            "apiName": "api",
            "apiDescription": "",
            "tenantId": "*****02f55ae4436913a6e2c65bab47c",
            "modifier": "d12c9fd0-****-****-****-246e96591a38",
            "modTime": "2024-05-02T08:10:26Z",
            "isDeleted": false,
            "domainCode": "PUB"
        }
    ],
    "total": 1
}